AIMP Skin Editor v5.40.1424 (14.10.2025)
========================================
* Общее: поддержка AIMP v5.40
- Исправлено: редактор - текстуры - режим работы маски не применяется
- Исправлено: редактор - ошибки с high dpi
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.30.1310 (29.02.2024)
========================================
* Скин-движок: расширены потенциальные возможности (см. справку к редактору скинов)


AIMP Skin Editor v5.30.1308 (04.12.2023)
========================================
- Исправлено: редактор - ошибки с перемещением/восстановлением панелей инструментов
- Исправлено: редактор - "отладочные сообщения" всегда видны после запуска


AIMP Skin Editor v5.30.1306 RC (12.10.2023)
===========================================
* Скин-движок: расширены потенциальные возможности (см. справку к редактору скинов)
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.30.1305 Beta (02.10.2023)
=============================================
+ Редактор: добавлена возможность блокировки изменений позиции элемента с помощью клавиатуры / мыши
+ Редактор: добавлены горячие клавиши для панелей инструментов
+ Редактор: уменьшен размер приложения за счет замены библиотек DevExpress аналогами
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.30.1300 Beta (20.08.2023)
=============================================
+ Общее: поддержка AIMP v5.30


AIMP Skin Editor v5.11.1258 (10.08.2023)
========================================
- Исправлено: редактор - первичный клик по элементу больше запускает его перемещение
- Исправлено: скин-движок - ошибка при компиляции текстуры размером более 2 ГБ


AIMP Skin Editor v5.11.1256 (31.07.2023)
========================================
- Исправлено: скин-движок - мультиплексер не отслеживает изменение данных на входе
- Исправлено: редактор - импорт текстур для всех разрешений иногда захватывает чужие текстуры
- Исправлено: редактор - подсветка дочерних окон располагается не в том месте при масштабе отличном от 100%


AIMP Skin Editor v5.11.1255 (16.06.2023)
========================================
- Исправлено: редактор - скрипты - актуальные значения глобальных скриптовых переменных сохраняются в конфиге скина вместо начальных значений


AIMP Skin Editor v5.10.1254 (26.12.2022)
========================================
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.10.1252 (15.11.2022)
========================================
* Общее: возможность сбросить настройки к значениям по умолчанию
* Общее: переезд на новую версию библиотеки VCL
* Общее: обновлены локализации


AIMP Skin Editor v5.03.1248 (30.06.2022)
========================================
* Общее: обновлен дизайн окна настроек


AIMP Skin Editor v5.03.1247 (20.06.2022)
========================================
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.03.1246 RC (06.06.2022)
===========================================
* Редактор: "копировать как" - доработан диалог копирования
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.03.1241 Beta (26.04.2022)
=============================================
+ Редактор: копировать выборочно - копирование используемых провайдеров вместе с объектом
+ Редактор: рабочий стол - поддержка масштабирования


AIMP Skin Editor v5.02.1232 (12.04.2022)
========================================
- Исправлено: скин-движок - незначительные ошибки и замечания


AIMP Skin Editor v5.02.1231 (02.03.2022)
========================================
* Общее: обновлены локализации
- Исправлено: скин-движок - незначительные ошибки и замечания


AIMP Skin Editor v5.02.1230 (22.02.2022)
========================================
+ Общее: поддержка AIMP v5.02
+ Общее: переезд на новую версию библиотеки VCL
+ Редактор: обновлен дизайн программы
+ Редактор: поддержка масштабирования интерфейса
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.00.1222 (09.11.2021)
========================================
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.00.1215 RC (30.09.2021)
===========================================
* Общее: поддержка AIMP v5.00 RC2
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.00.1214 Beta (16.09.2021)
=============================================
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v5.00.1212 Beta (12.08.2021)
=============================================
+ Общее: поддержка AIMP v5.00
+ Редактор: общее - copy / paste - автоматическое переименование элементов и связей между ними в случае коллизий
+ Редактор: общее - copy special - возможность указать, какие типы свойств копировать в буфер обмена
+ Редактор: общее - функция "snapshot" для упрощения процедуры генерации превью для скина
+ Редактор: рабочая область - возможность указать прозрачный или полупрозрачный цвет в качестве фона
+ Редактор: дерево навигации - возможность выделения элементов цветом
+ Редактор: дерево навигации - поддержка поиска-фильтрации
+ Редактор: обозреватель свойств - возможность фильтровать свойства по их типу
+ Редактор: обозреватель свойств - упрощение процедуры создания / редактирования скриптов для событий
+ Редактор: пользовательские провайдеры - возможность создания пользовательских групп
+ Редактор: репозиторий ресурсов - возможность скрыть ресурсы-ссылки
+ Редактор: репозиторий ресурсов - поиск и замена ссылок на ресурс
+ Редактор: редактор текстур - возможность скопировать отображаемый кадр в буфер обмена
+ Редактор: редактор текстур - возможность указать прозрачный или полупрозрачный цвет в качестве фона для предпросмотра
+ Редактор: редактор текстур - поддержка масштабирования
+ Редактор: редактор текстур - функция преобразования PARGB > ARGB


AIMP Skin Editor v4.70.1106 (14.07.2020)
========================================
* Общее: обновлены локализации
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v4.70.1102 RC 2 (17.05.2020)
=============================================
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v4.70.1101 RC (02.05.2020)
===========================================
* Редактор: карта связей - связи, не имеющие прямого влияния на выбранный элемент, больше не показываются
* Редактор: карта связей - поддержка скроллирования с помощью "схватить и перетащить" и колесика мыши


AIMP Skin Editor v4.70.1100 Beta (16.04.2020)
=============================================
+ Редактор: добавлена возможность посмотреть все зависимости биндинга для выбранного элемента
* Общее: поддержка AIMP v4.70


AIMP Skin Editor v4.60.1085 (20.02.2020)
========================================
+ Редактор: счетчик кадров в секунду


AIMP Skin Editor v4.60.1082 (24.11.2019)
========================================
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v4.60.1080 (21.10.2019)
========================================
* Редактор: добавлен отдельный набор цветов элементов "рабочего стола" для темной темы приложения
* Редактор: состояние дерева объектов теперь хранится для каждого окна скина по отдельности
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v4.60.1071 RC 2 (08.08.2019)
=============================================
- Исправлено: общее - ошибки с отображением в "ночном режиме"
- Исправлено: редактор - мерцание рабочей области при изменении видимости или положения элементов


AIMP Skin Editor v4.60.1068 RC 1 (18.07.2019)
=============================================
- Исправлено: общее - ошибки с отображением в "ночном режиме"


AIMP Skin Editor v4.60.1067 Beta (24.06.2019)
=============================================
+ Редактор: поддержка ночного режима
+ Редактор: возможность отображения второстепенных окон в отдельных вкладках (опционально)
* Общее: поддержка AIMP v4.60 Beta 6


AIMP Skin Editor v4.60.1059 Beta (11.03.2019)
=============================================
* Общее: поддержка AIMP v4.60


AIMP Skin Editor v4.51.1045 (01.12.2018)
========================================
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v4.51.1042 (07.07.2018)
========================================
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v4.51.1041 (08.05.2018)
========================================
* Общее: поддержка AIMP v4.51


AIMP Skin Editor v4.50.1040 (01.04.2018)
========================================
* Добавлена справка на китайском языке (спасибо 17hapi)


AIMP Skin Editor v4.50.1039 (27.12.2017)
========================================
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v4.50.1038 (18.12.2017)
========================================
* Скин-движок: верхний порог для коэффициента масштабирования был поднят до 500%
- Исправлено: скин-движок - исправлены известные ошибки
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v4.50.1037 (17.11.2017)
========================================
- Мелкие ошибки и замечания


AIMP Skin Editor v4.50.1032 (30.10.2017)
========================================
- Мелкие ошибки и замечания


AIMP Skin Editor v4.50.1027 RC 2 (17.10.2017)
=============================================
- Мелкие ошибки и замечания


AIMP Skin Editor v4.50.1021 RC (23.09.2017)
===========================================
- Исправлено: Редактор - репозиторий ресурсов - не выводится сообщение о совпадении имен при переименовании ресурса
- Мелкие ошибки и замечания


AIMP Skin Editor v4.50.1018 Beta 3 (06.09.2017)
===============================================
* Скин-движок: добавлен сервис Accessibility в TASELayoutScrollView.ScrollBarXXX
- Исправлено: скин-движок - скроллирование колесиком мыши перестает работать после сворачивания и восстановления окна
- Исправлено: скин-движок - TASETextDisplayEx - обрезается содержимое при использовании шрифта с тенью
- Исправлено: скин-движок - TASETextDisplayEx - текущая строка текста песни смещается вправо, если к ней применено форматирование
- Исправлено: редактор - в некоторых случаях автозаполнение репозитория ресурсов работает неверно
- Мелкие ошибки и замечания


AIMP Skin Editor v4.50.1015 Beta 2 (21.08.2017)
===============================================
+ Скин-движок: добавлен новый режим наложения - "в градациях серого"
- Исправлено: cкин-движок - режимы наложения работают некорректно с полупрозрачными текстурами
- Исправлено: редактор - свойства Context Menu не копируются в буфер обмена


AIMP Skin Editor v4.50.1010 Beta (08.08.2017)
=============================================
* Редактор: поддержка AIMP v4.50
* Редактор: мелкие улучшения UI


AIMP Skin Editor v4.01.920 (31.10.2016)
=======================================
- Исправлены найденные ошибки


AIMP Skin Editor v4.00.918 (30.09.2016)
=======================================
+ Редактор: добавлена эмуляция состояния воспроизведения / паузы, включаемая кликом с зажатым Alt по соответствующим кнопкам
- Исправлено: редактор - не работает копирование из лога текста об ошибках, что появляются при вставке структуры


AIMP Skin Editor v4.01.915 (31.08.2016)
=======================================
- Исправлено: редактор - ошибка при запуске при открытии проекта, где есть видимые направляющие


AIMP Skin Editor v4.01.913 (08.08.2016)
=======================================
- Исправлены найденные ошибки


AIMP Skin Editor v4.01.911 RC (21.07.2016)
==========================================
- Исправлены найденные ошибки


AIMP Skin Editor v4.01.910 Beta (06.07.2016)
============================================
* Редактор: поддержка AIMP v4.10
* Редактор: возможность копирования/вставки части структуры скина


AIMP Skin Editor v4.00.904 (18.06.2016)
=======================================
- Исправлены найденные ошибки


AIMP Skin Editor v4.00.903 (11.06.2016)
=======================================
- Исправлены мелкие ошибки и недоработки


AIMP Skin Editor v4.00.900 (15.05.2016)
=======================================
* Редактор: скины Bliss и Dark Bliss теперь используются в качестве шаблонов
- Исправлено: редактор - не работает кнопка переключения видов фонотеки в скинах-шаблонах по умолчанию
- Исправлено: редактор - неправильно импортируются полупрозрачные текстуры (регрессия)


AIMP Skin Editor v4.00.899 (26.04.2016)
=======================================
- Исправлены мелкие ошибки и недоработки


AIMP Skin Editor v4.00.898 (17.04.2016)
=======================================
- Исправлены мелкие ошибки и недоработки


AIMP Skin Editor v4.00.897 (19.03.2016)
=======================================
- Исправлено: UI - не работает in-place редактирование в табличных элементах (регрессия)


AIMP Skin Editor v4.00.896 (15.03.2016)
=======================================
* Редактор: иконки FIJO Flat идут в качестве иконок по умолчанию (спасибо Zigar)
* Редактор: обновлены шаблоны по умолчанию
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v4.00.894 (14.02.2016)
=======================================
* Общее: обновлена цифровая подпись
* Редактор: редактор связей - добавлена возможность менять источники местами
- Исправлено: скин-движок - мелкие ошибки и замечания
- Исправлено: скин-движок - нет возможности задать в пользовательском контекстном меню значение свойства RadioGroupIndex
- Исправлено: редактор - нет возможности переместить элементы фона мышью на верхний уровень


AIMP Skin Editor v4.00.887 (18.01.2016)
=======================================
- Исправлено: скин-движок - значение кадра по умолчанию элемента TASEAnimator всегда 0, независимо от биндинга.
- Исправлено: скин-движок - исправлены некоторые проблемы совместимости старых скинов
- Исправлено: скин-движок - локализация пользовательского контекстного меню не обновляется до перезапуска программы / скина
- Исправлено: скин-движок - не перерисовывается содержимое окна после изменении положения элемента из скрипта
- Исправлено: редактор - размеры элемента при клонировании переносятся некорректно в некоторых случаях


AIMP Skin Editor v4.00.883 (29.12.2015)
=======================================
* Общее: собрано с последними изменениями в скин-движке
* Редактор: добавлен прогресс загрузки / сохранения проекта скина
- Исправлено: редактор - справка - некоторые статьи не были переведены на английский
- Исправлено: редактор - остаются настройки от предыдущего скина у неудаляемых элементов при создании нового проекта типа "Blank"


AIMP Skin Editor v4.00.880 (22.12.2015)
=======================================
* Общее: собрано с последними изменениями в скин-движке
* Редактор: расширенные подсказки в диалогах "Редактирование связей" и "Пользовательские провайдеры"
- Исправлены мелкие ошибки и недоработки


AIMP Skin Editor v4.00.875 RC 3 (30.11.2015)
============================================
- Исправлено: редактор - разъезжаются элементы в окне настроек при DPI отличным от 96
- Исправлены мелкие ошибки в скин-движке
- Исправлены мелкие ошибки и недоработки в редакторе


AIMP Skin Editor v4.00.870 RC 2 (13.11.2015)
============================================
* Редактор: добавлен новый шаблон проекта - Blank
* Редактор: биндинг - возможность добавления макроса кликом по нему
* Редактор: менеджер окон - возможность изменять порядок отображения окон в рабочей области
* Скин-движок: TASEWaveFormDisplay - добавлены свойства FlipHorizontally / FlipVertically
- Исправлено: скин-движок - добавляется пробел при переходе в поле ввода по клавише Tab
- Исправлено: скин-движок - не работает обратная навигация по элементам с помощью Shift+Tab
- Исправлено: скин-движок - ошибка при выходе из приложения, если курсор мыши находится над пристыкованным окном
- Исправлено: скин-движок - TASEPanel - не открывается назначенное контекстное меню
- Исправлено: скин-движок - TASEVisualDisplay - не работает хит-тест маска при включенной визуализации
- Исправлены мелкие ошибки


AIMP Skin Editor v4.00.867 RC 1 (30.10.2015)
============================================
* Скин-движок: новое свойство TASEButton.HitTestByText
* Скин-движок: новый провайдер IsAccessible для TASETabControl.Scrolling сервиса
- Исправлено: редактор - не меняется код цвета при выборе палитры, если курсор стоит в поле HEX
- Исправлено: редактор скриптов - навигация по словам с клавиатуры не работает в тексте на русском


AIMP Skin Editor v4.00.863 Beta 4 (16.10.2015)
==============================================
* Редактор: добавлен новый шаблон проекта - Bliss Compact
* Редактор: редактор связей - добавлена возможность прокручивать содержимое окна
- Исправлены мелкие ошибки


AIMP Skin Editor v4.00.855 Beta 3 (20.09.2015)
==============================================
+ Редактор: добавлено окно для ведения заметок
* Редактор скриптов: добавлено отображение нумерации строк
- Исправлено: редактор - дерево объектов - при удалении объекта выделение исчезает
- Исправлено: редактор - диалог "параметры связи" - высота окна рассчитывается некорректно
- Исправлено: редактор - диалог "пользовательские провайдеры" - нет горячей клавиши для кнопки "Связи", в отличие от других кнопок
- Исправлено: редактор - диалог "редактор связей" - подсказка не отображает имя объекта
- Исправлено: редактор - запрос подтверждения сохранения изменений для проекта по умолчанию
- Исправлено: редактор - не находит автоматически путь к плееру, если он не запущен
- Исправлено: редактор - окно "свойства объекта" - при переименовании объекта не обновляется заголовок
- Исправлено: редактор - окно настроек контекстного меню - при сбросе иконок загружаются иконки от скина из редактора для AIMP3
- Исправлено: редактор - ошибка при попытке экспорта скина, если в одном из элементов не задана текстура


AIMP Skin Editor v4.00.847 Beta 2 (18.08.2015)
==============================================
- Исправлено: скин-движок - в некоторых случаях возникает ошибка при финализации фейдинга в TabControl элементе
- Исправлено: скин-движок - иногда возникает ошибка при загрузке скина, в котором используется эффект размытия
- Исправлено: скин-движок - настройка насыщенности применяется некорректно для расшаренных текстур
- Исправлено: скин-движок - неправильно перерисовываются элементы, лежащие поверх элемента BluredGlass, если к нему назначена маска
- Исправлено: скин-движок - поведение полосы прокрутки в элементах фонотеки отличается от поведения аналогичного элемента в плейлисте
- Исправлены мелкие ошибки


AIMP Skin Editor v4.00.845 Beta 1 (08.08.2015)
==============================================
+ Скин-движок: расширены потенциальные возможности (см. справку к редактору скинов)
+ Редактор: добавлена поддержка новой версии скин-движка
+ Редактор: обновлен дизайн программы


AIMP Skin Editor v3.60.691 (24.04.2015)
=======================================
- Исправлены мелкие ошибки и недоработки


AIMP Skin Editor v3.60.690 (27.02.2015)
=======================================
- Исправлено: скин-движок - мелкие ошибки
- Исправлено: редактор - мелкие ошибки и недоработки


AIMP Skin Editor v3.60.688 (06.02.2015)
=======================================
* Редактор: добавлена возможность скрыть "sizing-margins" в окне предпросмотра в редакторе текстур
* Редактор: цвет фона рабочей области теперь используется в качестве фона окна предпросмотра в редакторе текстур
- Исправлено: скин-движок - мелкие ошибки


AIMP Skin Editor v3.60.683 (16.01.2015)
=======================================
- Исправлены мелкие ошибки и недоработки


AIMP Skin Editor v3.60.680 (29.12.2014)
=======================================
- Исправлено: скин-движок - парсер спотыкался на некоторых выражениях


AIMP Skin Editor v3.60.678 RC 4 (19.12.2014)
============================================
- Исправлены мелкие ошибки и недоработки


AIMP Skin Editor v3.60.675 RC 3 (10.12.2014)
============================================
- Исправлено: скин-движок - не обнуляются связи у DropWheel_XXX элементов перед загрузкой проекта
- Исправлено: скин-движок - плейлист - некорректно рассчитывается ширина текста при использовании не моноширинных шрифтов
- Исправлены мелкие ошибки и недоработки


AIMP Skin Editor v3.60.673 RC 2 (02.12.2014)
============================================
* Редактор: направляющие - позиционирование направляющих в координатах относительно выбранного контейнера
- Исправлено: редактор - возможность ввести отрицательные значения Z-order
- Исправлено: редактор - не отображаются окна, прикреплённые к главному окну, при запуске программы
- Исправлено: редактор - не пересчитывается положение TrayControlFlow после изменения его размеров
- Исправлены мелкие ошибки и недоработки


AIMP Skin Editor v3.60.670 RC 1 (19.11.2014)
============================================
* Редактор: возможность изменить цвет сетки лупы кликом по ее пиктограмме
- Исправлены мелкие ошибки


AIMP Skin Editor v3.60.668 RC 1 (12.11.2014)
============================================
+ Редактор: прокрутка рабочей области по горизонтали с помощью колесика мыши и зажатой клавиши Shift
* Редактор: возможность выбора предпочитаемого языка программы при первом запуске
- Исправлено: редактор - направляющие не перерисовываются при прокрутке рабочей области
- Исправлено: редактор - превью сохраняется в скин некорректно, если исходный BMP-файл содержит таблицу цветов
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v3.60.663 Beta 2 (21.10.2014)
==============================================
+ Редактор: возможность перемещения элементов мышкой строго по вертикали/горизонтали с зажатым Shift
+ Редактор: направляющие - вытягивание направляющих из линейки
+ Редактор: направляющие - добавлена горячая клавиша для добавления направляющей
+ Редактор: направляющие - отдельный набор для каждого окна
+ Редактор: редактор связей - добавлена кнопка удаления провайдера в заголовке карточки
* Редактор: возможность применить шрифт без закрытия редактора свойств
* Редактор: вызов плеера на передний план после сборки и применения скина
- Исправлено: редактор - нельзя схватить направляющую в зоне видимых элементов фона
- Исправлено: редактор - нет автоматического выделения редактируемого значения при входе в поле ввода с помощью клавиатуры
- Исправлено: скин-движок - не работают кнопки смены визуализации после её отключения
- Исправлено: скин-движок - перепутаны стерео каналы в провайдере prvVisual
- Исправлено: скин-движок - ширина строк списка закладок в выпадающем меню отличается от высоты пунктов меню
- Исправлено: справка - повреждены некоторые таблицы
- Исправлены мелкие ошибки и замечания


AIMP Skin Editor v3.60.655 Beta 1 (19.09.2014)
==============================================
+ Редактор: общее - возможность собрать и применить обложку в плеере одним кликом мыши
+ Редактор: лупа - возможность менять коэффициент увеличения колесиком мыши с зажатым Ctrl
+ Редактор: лупа - при увеличении свыше 5х, появляется дополнительная сетка с шагом в 10 пкс
+ Редактор: лупа - максимальный коэффициент увеличения поднят до х50
+ Редактор: лупа - возможность сменить цвет сетки
+ Редактор: пользовательские провайдеры - возможность переименовать уже созданный провайдер
+ Редактор: пользовательские провайдеры - добавлена кнопка вызова одноименного диалога на панель инструментов
+ Редактор: пользовательские провайдеры - список провайдеров теперь автоматически разбивается на группы по типу провайдера
+ Редактор: рабочая область - поддержка направляющих
+ Редактор: рабочая область - возможность отключить смещение элемента при клонировании


AIMP Skin Editor v3.55.604 (26.03.2014)
=======================================
* Скин движок: добавлена возможность изменения размера аниматора
- Исправлено: Скин движок - игнорируется значение свойства PeakSegmentation


AIMP Skin Editor v3.55.602 (08.02.2014)
=======================================
- Исправлено: Редактор - программа вылетает при закрытии на некоторых проектах


AIMP Skin Editor v3.55.601 (31.01.2014)
=======================================
- Исправлено: Скин движок - значение свойства SizeMaximal не учитывалось для Client-контейнеров
- Исправлено: Скин движок - не обновляется минимальный размер контейнера при изменении его текстуры


AIMP Skin Editor v3.55.599 (15.11.2013)
=======================================
* Редактор: Улучшена работа с большими проектами - уменьшено потребление памяти при сборке скина
* Редактор: Улучшена работа с большими проектами - увеличен лимит доступной для приложения памяти - 3 GB для х86, 4 GB для х64


AIMP Skin Editor v3.55.596 (04.11.2013)
=======================================
+ Скин движок: добавлена возможность отключения хит-теста без использования полностью прозрачной маски
- Исправлено: Редактор - имя элемента в свойствах не обновляется после переименования
- Исправлены небольшие недоработки


AIMP Skin Editor v3.55.592 RC 2 (15.10.2013)
============================================
- Исправлено: Скин движок - исправлены мелкие недоработки


AIMP Skin Editor v3.55.590 RC (07.10.2013)
==========================================
* Справка: добавлена возможность поиска
* Справка: обновлено содержимое
* Скин-движок: добавлена возможность связи ActionScroll сервиса с элементов Slider


AIMP Skin Editor v3.55.587 Beta (12.09.2013)
============================================
* Редактор: Удалены провайдеры для Каталога Интернет радиостанций


AIMP Skin Editor v3.51.584 (07.08.2013)
=======================================
- Исправлено: Редактор - Расположение кнопок быстрого доступа зависит от способа открытия скина


AIMP Skin Editor v3.50.579 (19.06.2013)
=======================================
- Исправлено: Редактор - отсутствует информация о скине при импорте проектов от старых версий


AIMP Skin Editor v3.50.573 RC 2 (04.06.2013)
============================================
+ Редактор: Добавлена справка на английском язык
+ Скин движок: Добавлена возможность узнать длину текста, возвращаемого сервисом провайдером
+ Скин движок: Добавлен сервис в "prvEqualizer" провайдер
+ Скин движок: Добавлена точка доступа "Hint"
- Исправлено: Скин движок - в некоторых случаях возникает ошибка при попытке загрузить скин со встроенными шрифтами
- Исправлено: Скин движок - свойство ClipChildren игнорируется при расчете HitTest-а
- Исправлено: Скин движок - отсутствует проверка на целостность скина
- Исправлено: Скин движок - ошибки в позиционировании равнозначных контейнеров с ограниченым размером
- Исправлено: Мелкие ошибки и недоработки


AIMP Skin Editor v3.50.561 RC 1 (08.05.2013)
============================================
+ Скин движок: Добавлена возможность форматировать время в текстовых метках
+ Скин движок: Добавлено свойство Borders для элемента контекстного меню
+ Скин движок: Добавлены новые макросы для сервиса FileInfo провайдера prvPlayingFileInfo - %BPM, %AlbumGain, %TrackGain, %Composer, %Publisher
* Скин движок: Свойство HeaderBackgroundColor элемента плейлиста было заменено на HeaderBackground
* Редактор: Нажатие клавиши Escape на выбранном элементе приводит к выбору его предка
- Исправлено: Редактор - режим тестирования скина не включается, если рабочая область не сфокусирована
- Исправлено: Редактор - встроенный в скин шрифт не отображается в списке выбора шрифта
- Исправлено: Мелкие ошибки и недоработки


AIMP Skin Editor v3.50.555 Beta 4 (19.04.2013)
==============================================
+ Скин движок: Добавлен новый тип пользовательских провайдеров - счетчик
+ Скин движок: Добавлен возможность задавать тень для шрифтов элементов (за исключением плейлиста)
- Исправлено: Редактор - сочетание Alt + Shift блокируется визуальным редактором


AIMP Skin Editor v3.50.550 Beta 3 (10.04.2013)
==============================================
+ Скин движок: Добавлена возможнось присоединить Action к точке доступа для CotextMenu
- Исправлено: Редактор - визуальный редактор биндинга позволяет прилинковать два действия к одной точке доступа
- Исправлено: Редактор - неправильное отображение маски для размытия в настройках программы
- Исправлено: Редактор - программа вылетает при попытке задать TASEWaveFormDisplay и TASESpectrogramDisplay нулевые размеры
- Исправлено: Редактор - ошибки с обновлением состояния кнопок в диалоге редактирования окон


AIMP Skin Editor v3.50.540 Beta 2 (07.03.2013)
==============================================
+ Скин движок: Добавлены элементы TASEScrollBarHorizontal, TASEWaveFormDisplay и TASESpectrogramDisplay
+ Скин движок: Добавлена возможность регулировать высоту строк контекстного меню
+ Скин движок: Добавлена возможность скрывать определенные контейнеры при первом применинии скина
* Редактор: Добавлена возможность создать дупликат элемента управления
* Редактор: Переработан редактор параметров контекстного меню
- Исправлено: Редактор - "лупа" неправильно определяет цвет пикселя под курсором в некоторых случаях
- Исправлено: Редактор - не сохраняется состояние опции "Показать все кадры"
- Исправлено: Skin Engine - значение свойства AlignmentLevel у фоновых элементов не пересчитывается при удалении соседних элементов
- Исправлено: Skin Engine - ошибки в расчетах положения элементов с выравниванием laClient
- Исправлено: Skin Engine - ошибки при расчетах минимального размера контейнера в момент изменения его видимости


AIMP Skin Editor v3.50.500 Alpha 1 (16.09.2012)
===============================================
+ Адаптировано под SkinEngine v3.50


